> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Contextual Filters

GET https://api.bigcommerce.com/stores/{store_hash}/v3/settings/search/filters/contexts

Returns a list of contextual filters enabled for a particular channel or category.

**Usage Notes**

Contextual filters allow you to configure the enabled filters per channel or category, so that shoppers can filter by the most relevant criteria.

The order of the returned filters will match the sort order of the filters on the storefront.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/settings/search-filters/get-settings-filters-contexts

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `channel_id` (integer, optional) — Only return contextual overrides related to a particular Channel.
- `category_id` (integer, optional) — Only return contextual overrides related to a particular Category.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (list of ConfiguredFiltersOverride, optional)
- `meta` (MetaPaginationObject, optional)

## Types

### ConfiguredFiltersOverride

A new set of enabled Product Filtering filters which should display in a particular context, such as on a particular Channel, or while viewing a particular Category. Array order indicates the display order on the storefront.

- `context` (SearchFilterOverrideContextIdentifier, optional)
- `data` (list of ConfiguredFilter, optional)

### MetaPaginationObject

- `pagination` (MetaPaginationObjectPagination, optional)

### SearchFilterOverrideContextIdentifier

- `category_id` (integer, optional)
- `channel_id` (integer, optional)

### ConfiguredFilter

### MetaPaginationObjectPagination

- `count` (integer, optional)
- `current_page` (integer, optional)
- `links` (MetaPaginationObjectPaginationLinks, optional)
- `per_page` (integer, optional)
- `total` (integer, optional)
- `total_pages` (integer, optional)

### EnabledProductFilter

A filter that uses product options and custom field data.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `option_values`, `item_count`
- `type` (enum, optional)
  - Allowed values: `product`

### EnabledPriceFilter

A filter based on the product’s price, shown as a price range on the storefront.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `price`

### EnabledCategoryFilter

A storefront filter for product category

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `type` (enum, optional)
  - Allowed values: `category`

### EnabledBrandFilter

A storefront filter for product brand

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `item_count`
- `type` (enum, optional)
  - Allowed values: `brand`

### EnabledRatingFilter

A filter based on product review ratings.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `rating`

### EnabledMiscFilter

Miscellaneous filters which appear as a group.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `show_free_shipping_filter` (boolean, optional)
- `show_in_stock_filter` (boolean, optional)
- `show_is_featured_filter` (boolean, optional)
- `show_product_count` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `other`

### MetaPaginationObjectPaginationLinks

- `current` (string, optional)
- `next` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "context": {
        "category_id": 1,
        "channel_id": 1
      },
      "data": [
        {
          "collapsed_by_default": true,
          "display_name": "string",
          "display_product_count": true,
          "id": "string",
          "is_enabled": true,
          "items_to_show": 5,
          "sort_by": "alpha",
          "type": "product"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "count": 5,
      "current_page": 1,
      "links": {
        "current": "?limit=5&page=1",
        "next": "?limit=5&page=2"
      },
      "per_page": 5,
      "total": 246,
      "total_pages": 50
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```